Skip to main content

Delete Friend V2

DELETE 

/friends/v2/player/:player_uuid/friend/:other_player_uuid

Remove the friend's relationship status with the other Player.

This should be used for declining Friend requests, deleting sent Friends Requests, and deleting Friends

Note: This API supports etags and will return the etag header when with the response and will match the etag value provided when [fetching Friend Relationship between these two players](#/Friends V1/get_friend_relationship). It is highly recommended to provide the etag value with the if-match header to avoid lost updates.

Permissions Required: friend:friend_list:write

Request

Path Parameters

    player_uuid uuidrequired
    other_player_uuid uuidrequired

Header Parameters

    if-match If-Match

    If you provide the ETag that does not matches the current ETag for this resource, a 412 response will be return - indicating that the resource has changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Loading...